Subject: Re: [Mpls-review] MPLS-RT review ofdraft-ezy-mpls-tp-1ton-protection-00.txt

From: <[email-masked]>
Date: Tue, 10 Jul 2012 20:46:48 +0900

Dear, all.

I've reviewed draft-ezy-mpls-tp-1ton-protection-00.txt.
1:n protection is described in RFC6372(Survivability framework), and this is 
a good starting point. So I agree to WG adoption of draft-ezy.
The followings are my comments for clarification. Please consider them.
 
Let me start with my comment on WFA in Non-Locking mode. 
Does "persistent disagreement" in section 4.3.5. mean no ACK reply, 
or race condition? I'd like to know why the state machine behavior is different 
from that of RFC6378, which doesn’t have WFA state.  If there's already the 
answer in this draft, please let me know.

My next concern is that there seems no interoperability between draft-ezy and 
RFC6378, since the version numbers are different. It would be valuable if 
there is interoperability when n=1 in Non-Locking mode. 

Next comment is about WFA in Locking mode. 
I propose values of B and S of LER-Z in WFA (t3, t4) in Fig.9 be coordinated 
to make the behavior simpler. And in my understanding, B value should always 
be coordinated with data path field, so 'B' could be cut off to make the 
description simpler. In addition, I suppose Fig.3 description need to be 
corrected. "SF(1,1)" in the event description at t1 might be "SF(1, 0)", 
and "B=1" of LER-A at t2 might be "B=n/a".

And the followings are minor comments. 
- According to section 1.4, there seems no equal priority LSPs. 
  Is this the result of ML discussion during IETF 83 meeting, or are you 
  planning to update it?
- In Section 3.1 and 3.2, it would be helpful to specify the layer of label
  (LSP or PW), and align the expressions between these sections. For example 
  so far, W1 is path(LSP) in 3.1, while W1 is interface in 3.2.
- Is Section 4.3.2. tile "two-phased" based on general definition? This is just 
  a confirmation, since non-locking mode seems to be "single-phased" to me.
- The description in Section 4.3.3., "before performing a protection switch the 
  endpoint that detected a switching trigger MUST wait for an Acknowledge message 
  prior to performing the switch” should be limited only to Locking-mode.
- I expect L-flag value for non-locking mode will be specified in section 4.2.1. 
  by future draft update.
- I expect WFA timer range and default value will be specified in section 4.3.4. 
  by future draft update.
- Section 3.3.2. typo: s/"ir has been noticed it at the near endpoint."/"it has been noticed at the near endpoint."

Best Regards,
Kenji.

>Kenji, Thomas and David,
>
>you have been selected to do the MPLS-RT review of
>draft-ezy-mpls-tp-1ton-protection-00.txt.
>
>Reviews should comment on whether the document is coherent, is it useful
>(ie, is it likely to be actually useful in operational networks), and is
>the document technically sound?  We are interested in knowing whether 
>the document is ready to be considered for WG adoption (ie, it doesn稚
>have to be perfect at this point, but should be a good start).
>
>Reviews should be sent to the document authors, WG co-chairs and
>the working group secretary, and CC壇 to the MPLS WG email list. If
>necessary, comments may be sent privately to only the WG chairs.
>
>Are you able to review this draft by July 10, 2012. Please not that
>early reviews makes possible to enter into the next step sooner.
>
>/Loa
>as MPLS WG co-chair
>
>-- 
>
>
>Loa Andersson                         email: [email-masked]
>Sr Strategy and Standards Manager            [email-masked]
>Ericsson Inc                          phone: +46 10 717 52 13
>                                              +46 767 72 92 13
>
>_______________________________________________
>Mpls-review mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls-review
>